IPCS(1)

NAZWA
ipcs - udostępnia informacje o urządzeniach ipc

SKŁADNIA
ipcs [-asmq] [-tclup]
ipcs [-smq] -i id
ipcs -h

OPIS
ipcs udostępnia informacje o urządzeniach IPC, do których proces wywołujący ma uprawnienie, zezwalające mu na odczyt. Opcja -i umożliwia podanie konkretnego identyfikatora zasobu (id). Drukowane wtedy będą tylko dane dotyczące tego id. Zasoby mogą być określane następująco:

-m  segmenty pamięci dzielonej

-q  kolejki komunikatów

-s  tablice semaforów

-a  wszystko (to jest domyślna opcja)

Format wyjściowy może być określony następująco:

-t  czas

-p  identyfikator procesu

-c  twórca

-l  ograniczenia

-u  podsumowanie

ZOBACZ TAKŻE
ipcrm(1), ipcmk(1)

ZGODNE Z
Linuksowa wersja programu ipcs nie jest w pełni zgodna ze standardem POSIX. Wersja linuksowa nie obsługuje opcji -b i -o, ale obsługuje niewymienione w POSIX opcje -l i -u. Przenośne aplikacje nie powinny używać opcji -a, -b, -o, -l oraz -u.

AUTOR
krishna balasubramanian (balasub@cis.ohio-state.edu)

DOSTĘPNOŚĆ
Polecenie ipcs jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.